package com.nokia.tsl_data;

import java.io.IOException;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import com.nokia.tsl_data.dao.TslDao;
import com.nokia.tsl_data.service.TslTaskService;
import com.nokia.tsl_data.service.exception.TslTaskException;

@SpringBootTest
public class TslDataApplicationTest {

    @Autowired
    private TslTaskService taskService;

    @Test
    void test() throws IOException, TslTaskException {
        taskService.reportGenerateTask("20230425");
    }

    @Autowired
    private TslDao tslDao;

    @Test
    void test1() {
        System.out.println(tslDao.selectCompCountForDay("20230420"));
        System.out.println(tslDao.selectQualityCountForDay("2023-04-20"));
    }
}
